<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AddLockByToNewLineRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('new_line_requests', function (Blueprint $table) {
            $table->foreignId('lock_by')->nullable();
            $table->dateTime('delivery_date')->nullable();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('new_line_requests', function (Blueprint $table) {
            $table->dropColumn('lock_by');
            $table->dropColumn('delivery_date');
        });
    }
}
